Bug 1017181 - Configuring port offset for all default ports will not effect host-master.xml and host-slave.xml
Configuring port offset for all default ports will not effect host-master.xml...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ER7
: EAP 6.2.0
Assigned To: Miles Tjandrawidjaja
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 07:46 EDT by Petr Kremensky
Modified: 2014-09-03 00:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:55:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-10-09 07:46:32 EDT
Description of problem:
 Only ports in host.xml are changed once user choose to configure an offset for all default port bindings.

Version-Release number of selected component (if applicable):
 EAP 6.2.0.ER5

How reproducible:
 always

Steps to Reproduce:
 1. Run gui installer, use default values until you enter the Socket Bindings screen.
 2. Select to "Configure an offset for all default port bindings" and choose one of offset types.
 3. Finish the installation and navigate to ${EAP_HOME}/domain/configuration folder.

Actual results:
 Ports were updated only for host.xml not for host-master.xml (actually don't have any server instances) and host-slave.xml.

Expected results:
 All host files were updated.

Additional info:
 I am still not sure about decision we've made in BZ1007791 as the option is "Configure an offset for all default port bindings." and for domain we are changing only ports of server instances WDYT?
Comment 1 Miles Tjandrawidjaja 2013-10-11 11:01:08 EDT
Radio buttons to configure offset will now update host files.

http://git.app.eng.bos.redhat.com/jbossas-installer.git/commit/?h=eap-6.2&id=c3640b6441171f8b24608a69e1e3cbebd6a95532
Comment 2 Petr Kremensky 2013-10-18 06:00:52 EDT
Servers inside host-slave.xml file still use default ports.
Comment 3 Miles Tjandrawidjaja 2013-10-23 11:48:43 EDT
This has been fixed after detecting a mix up in variable names.
Any option to specify port offsets shall properly effect the host*.xml files.
Comment 4 Petr Kremensky 2013-11-01 10:08:46 EDT
Verified on EAP 6.2.0.ER7 installer.

Note You need to log in before you can comment on or make changes to this bug.